
#define BLOCK_SIZE  2048
#define BUFFER_SIZE 32 * BLOCK_SIZE

typedef struct
{
  int desc ;
  int save_full ;
  int site_size ;
  int sites_per_buffer ; 
  int buf_ptr ;
  char buf [BUFFER_SIZE] ;
} DATA ;

extern DATA *data_open_read () ;
extern void data_close_read () ;
extern void read_header () ;
extern void read_coeffs () ;
extern void read_params () ;
extern void read_field_begin  () ;
extern void read_field_record () ;

extern DATA *data_open_write  () ;
extern void data_close_write () ;
extern DATA *data_dopen_write () ;
extern void write_header () ;
extern void write_coeffs () ;
extern void write_params () ;
extern void write_field_begin  () ;
extern void write_field_record () ;
extern void write_field_end    () ;

